package com.sooka.jnb.matter.service.impl;


import com.sooka.jnb.department.domin.Department;
import com.sooka.jnb.matter.domin.Matter;
import com.sooka.jnb.matter.mapper.MatterMapper;
import com.sooka.jnb.matter.service.MatterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class MatterServicempl implements MatterService
{
    @Resource
    private MatterMapper matterMapper;

    /**
     * 获取事项详细信息
     */
    @Override
    public Matter selectSysMatterById(Integer id)
    {
        return matterMapper.selectSysMatterById(id);
    }

    /**
     * 查询事项列表
     */
    @Override
    public List<Matter> selectSysMatterVo(Matter matter)
    {
        return matterMapper.selectSysMatterVo(matter);
    }

    /**
     * 新增事项
     */
    @Override
    public int insertSysMatter(Matter matter)
    {

        return matterMapper.insertSysMatter(matter);
    }

    /**
     * 修改事项
     */
    @Override
    public int updateSysMatter(Matter matter)
    {
        return matterMapper.updateSysMatter(matter);
    }

    /**
     * 审核事项
     */
    @Override
    public int examine(Matter matter)
    {
        return matterMapper.examine(matter);
    }

    /**
     * 删除事项
     */
    @Override
    public int deleteSysMatterByDeptId(Long id)
    {
        return matterMapper.deleteSysMatterByDeptId(id);
    }
}
